LMS.Web/ViewModels/SearchResultViewModel.cs
using LMS.Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace LMS.WEB.ViewModels
{
    public class SearchResultViewModel
    {
        public List<BookViewModel> Books { get; set; }

        public SearchResultViewModel(IEnumerable<Book> books)
        {
            this.Books = new List<BookViewModel>();
            foreach (var book in books)
            {
                this.Books.Add(new BookViewModel(book));
            }
        }
    }
}

LMS.Web/Controllers/SearchController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using LMS.Services.Contracts;
using LMS.WEB.ViewModels;
using Microsoft.AspNetCore.Mvc;

namespace LMS.WEB.Controllers
{
    public class SearchController : Controller
    {
        IBookManager _bookManager;
        public SearchController(IBookManager bookManager)
        {
            _bookManager = bookManager;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpGet]
        [Route(nameof(SearchResults))]
        public IActionResult SearchResults(string searchBy, string criteria)
        {
            var book = this._bookManager.GetBooksByCriteria(searchBy, criteria);
            var libraryView = new SearchResultViewModel(book);
            return View(libraryView);
        }
    }
}

LMS.Web/Views/Search/Index.cshtml
@{
    ViewData["Title"] = "Index";
}
<br />
<br />
<br />
<h2>Search Books</h2>
<br />
<div class="col-md-4">
    <form asp-controller="Search" asp-action="SearchResults" method="get">
        <label class="font-weight-bold">Search by:</label>
        <select required type="text" name="searchBy" class="btn btn-outline-info form-control">
            <option hidden disabled selected value=""> -- select an option -- </option>
            <option value="title">Title</option>
            <option value="author">Author</option>
            <option value="category">Category</option>
            <option value="year">Year</option>
        </select><br>
        <label class="font-weight-bold">Criteria:</label>
        <input type="text" name="criteria" class="form-control" required><br>
        <input type="submit" value="Search Results" class="btn btn-outline-info form-control">
    </form>
</div>
<br>

LMS.Web/Views/Search/SearchResults.cshtml
@model  SearchResultViewModel
@{
    ViewData["Title"] = "SearchResults";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<br />
<br />
<br />
<h1>Search Results</h1>

<table class="table table-hover">
    <thead>
        <tr>
                <th>

                </th>
                <th>
                    Title
                </th>
                <th>
                    Author Name
                </th>
                <th>
                    Pages
                </th>
                <th>
                    Year
                </th>
                <th>
                    Country
                </th>
                <th>
                    Language
                </th>
                <th>
                    ISBN
                </th>
                <th>
                    Category
                </th>
                <th></th>
            </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Books)
        {
            <tr>
                <td>
                    <img src="@Html.DisplayFor(modelItem => item.ImageURL)" height="40" />
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.AuthorName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Pages)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Year)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Country)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Language)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ISBN)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Category)
                </td>
                <td>

                    <a asp-controller="Books" asp-action="Details" asp-route-id="@item.Id" class="btn btn-primary">Details</a>

                </td>
            </tr>
        }
    </tbody>
</table>
<a asp-controller="Search" asp-action="Index" class="btn btn-primary">&#8678 Go Back</a>